package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag940;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.mt9XXAbsCreator.MT940AbsCreator;

public class Tag86CycleCreator extends AbsTagCreate {

     private MT940AbsCreator MT940AbsCreator;

    public Tag86CycleCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.MT940AbsCreator = (MT940AbsCreator) absMTCreator;
    }

    public  void creator()
    {
        String tag86Value = MT940AbsCreator.getInformationToAccountOwner();
        MT940AbsCreator.set("86", tag86Value);
    }
}
